Swagger UI
Nectar Public API
0.1.0
OAS 3.0
Welcome to the Nectar Public API. Here you can view and test the provided endpoints before integrating them into your automated systems/tools.
After requesting access to the API through support, you can generate your API key from the integrations tab in Nectar.
You can access the Swagger Definition here.
Authentication
All endpoints require an API Key. Be sure to set the Authorization header key to Bearer <yourAPIKey>
Servers
https://api.nectarhr.com - Nectar API Documentation
Authorize
default
GET
/health
Health
GET
/v1/analytics/financial/redemptions
Generates a summary of redemptions made by all users.
Gets custom awards
Sends a custom award to recipients
Gets the companies recognition feed
Parameters
Try it out
| Name | Description |
|---|---|
| type array (query) |
Type of post Available values : nomination_post, nomination_response, birthday, anniversary, award, challenge, welcome, setup, shoutout --nomination_postnomination_responsebirthdayanniversaryawardchallengewelcomesetupshoutout |
| private boolean (query) |
--truefalse |
| hidden_from_leaderboard boolean (query) |
--truefalse |
| deleted boolean (query) |
Default value : false --truefalse |
| minify boolean (query) |
Get only minified user data. Only for 'text/csv' format Default value : false --truefalse |
| expand array (query) |
Return each users' expanded data Available values : user --user |
| cursor number (query) |
Unix timestamp for next date range of feed entries |
| start-date string($date) (query) |
Start Date of range to get data from as defined by RFC 3339, section 5.6, for example, 2017-07-21. |
| end-date string($date) (query) |
End Date of range to get data from as defined by RFC 3339, section 5.6, for example, 2017-07-21. If defined, start-date is required. |
| all_time boolean (query) |
Gets all time data with no pagination. Only keys with the AI_INSIGHT scope can use this.--truefalse |
Responses
| Code | Description | Links |
|---|---|---|
| 200 | OK Media type application/jsontext/csv Controls Accept header.- Example Value - Schema json<br>{<br> "status": "success",<br> "links": {<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ]<br> },<br> "data": {<br> "meta": {<br> "total": 0,<br> "start_date": "2026-07-18T06:16:11.360Z",<br> "end_date": "2026-07-18T06:16:11.360Z",<br> "cursor": 0<br> },<br> "feed": [<br> {<br> "id": "string",<br> "user": {<br> "id": "string",<br> "email": "user@example.com",<br> "employee_id": "string",<br> "first_name": "string",<br> "last_name": "string",<br> "username": "string",<br> "phone_number": "123-456-7890",<br> "department": "string",<br> "office_location": "string",<br> "job_title": "string",<br> "language": "string",<br> "active": true,<br> "invite_email_sent": true,<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ]<br> },<br> "receivers": [<br> {<br> "id": "string",<br> "email": "user@example.com",<br> "employee_id": "string",<br> "first_name": "string",<br> "last_name": "string",<br> "username": "string",<br> "phone_number": "123-456-7890",<br> "department": "string",<br> "office_location": "string",<br> "job_title": "string",<br> "language": "string",<br> "active": true,<br> "invite_email_sent": true,<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ]<br> },<br> {<br> "id": "string",<br> "email": "user@example.com",<br> "employee_id": "string",<br> "first_name": "string",<br> "last_name": "string",<br> "username": "string",<br> "phone_number": "123-456-7890",<br> "department": "string",<br> "office_location": "string",<br> "job_title": "string",<br> "language": "string",<br> "active": true,<br> "invite_email_sent": true,<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ],<br> "user_role": "Administrator",<br> "preferred_name": "string",<br> "birth_date": "string",<br> "hire_date": "2026-07-18",<br> "inactive_date": "2026-07-18",<br> "user_invited": true,<br> "user_onboarded": true,<br> "manager_email": "user@example.com",<br> "workspaces": [<br> "string"<br> ],<br> "giveable_points": 0,<br> "redeemable_points": 0,<br> "logged_in_once": true,<br> "custom_properties": {<br> "custom_property_1": "string"<br> }<br> }<br> ],<br> "message": "string",<br> "amount": 0,<br> "core_values": [<br> "string"<br> ],<br> "created_at": "string",<br> "comments": [<br> {<br> "id": "string",<br> "sender": {<br> "id": "string",<br> "email": "user@example.com",<br> "employee_id": "string",<br> "first_name": "string",<br> "last_name": "string",<br> "username": "string",<br> "phone_number": "123-456-7890",<br> "department": "string",<br> "office_location": "string",<br> "job_title": "string",<br> "language": "string",<br> "active": true,<br> "invite_email_sent": true,<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ]<br> },<br> "message": "string",<br> "reactions": "string"<br> }<br> ],<br> "private": true,<br> "image_url": "string",<br> "reactions": [<br> {<br> "reaction": "string",<br> "user": {<br> "id": "string",<br> "email": "user@example.com",<br> "employee_id": "string",<br> "first_name": "string",<br> "last_name": "string",<br> "username": "string",<br> "phone_number": "123-456-7890",<br> "department": "string",<br> "office_location": "string",<br> "job_title": "string",<br> "language": "string",<br> "active": true,<br> "invite_email_sent": true,<br> "self": "string",<br> "related": [<br> {<br> "type": "string",<br> "href": "string"<br> }<br> ]<br> }<br> }<br> ],<br> "scoring_type": "openAI",<br> "score": 0,<br> "action": [<br> "Admin Added Giveable Points"<br> ],<br> "type": "nomination_post"<br> }<br> ]<br> }<br>}<br> |
No links |
| 400 | BAD REQUEST: Body or Query Params are malformed (missing, extra, or invalid values)Media type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "Bad Request",<br> "code": "N0003"<br> }<br>}<br> |
No links |
| 401 | UNAUTHORIZED: Request was sent with an expired or missing API KeyMedia type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "UNAUTHORIZED",<br> "code": "N0002"<br> }<br>}<br> |
No links |
| 403 | FORBIDDEN: Request was authenticated but the resource requested is missing or not accessible with that keyMedia type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "UNAUTHORIZED",<br> "code": "N0002"<br> }<br>}<br> |
No links |
| 404 | NOT FOUND: The requested resource was not foundMedia type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "Not Found",<br> "code": "N0005"<br> }<br>}<br> |
No links |
| 429 | TOO MANY REQUESTS: Company is being rate limitedMedia type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "TOO MANY REQUESTS",<br> "code": "N0000"<br> }<br>}<br> |
No links |
| 500 | INTERNAL SERVER ERROR: Request was unable to be processed due to a server error. Contact our support team.Media type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "Bad Request",<br> "code": "N0001"<br> }<br>}<br> |
No links |
| 501 | NOT IMPLEMENTED: Method is not implemented on that endpoint.Media type application/json Examples body - Example Value - Schema json<br>{<br> "status": "failure",<br> "error": {<br> "message": "Bad Request",<br> "code": "N0000"<br> }<br>}<br> |
No links |
GET
/v1/users
Gets a paginated list of users within the company
PUT
/v1/users
Upsert up to 50 users at a time based on nectar_id (recommended), email, or employee_id
Gets general information about a specific user
Flows
POST
/v1/flows/trigger/{triggerId}
Trigger a Flow for specified users
Schemas
BaseUser
CompanyRedemptions
CustomAwardsBody
CustomAwardsResponse
Expand
ExpandedUser
FailedResponse
FlowsTriggerBody
FlowsTriggerResponse
Links
NectarErrorCodes
PageInfo
Response
Shoutout
ShoutoutsResponse
SuccessfulResponse
UserDetailsResponse
UserUpsertBody
UserUpsertRequestBody
UsersResponse